HyperSKU
HyperSKU
  1. Orders
  • HyperSKU
    • Authentication
      • getToken
      • accessToken
      • refreshToken
    • Orders
      • createOrderFromExternal
        POST
      • getOrdersByExternalOrderId
        POST
      • create
        POST
      • getOrdersStatus
        POST
      • updateOrderAddress
        POST
      • getStockOrderInfo
        GET
      • cancelOrder
        GET
      • listOrderByStoreOrderId
        GET
    • Product
      • getPrivateProduct
      • getProductInfo
    • Logistics
      • getCountryCode
      • getLogisticsSku
      • /internationalLogisticsInfo/{storeOrderId}
    • Schemas
      • LoginReqDto
      • CountryCodeReponseDto
      • LoginResDto
      • CustomerInventoryDto
      • CreateOrderRequestVo
      • OAuth2AccesTokenReq
      • GetOrderRequestVo
      • InternationalLogisticsInfo
      • OAuth2RefreshTokenReq
      • LogisticsDetailDto
      • OAuth2TokenVo
      • LogisticsReponseDto
      • LogisticsRequestDto
      • LogisticsResult
      • ObjectRestResponse
      • ObjectRestResponse«LogisticsResult»
      • ObjectRestResponse«OrderAddressInfo»
      • ObjectRestResponse«OrderResult»
      • ObjectRestResponse«OrderStatusInfo»
      • OrderAddressInfo
      • OrderBaseInfo
      • OrderCreateResponse
      • OrderInventoryHistoryDto
      • OrderInventoryResult
      • OrderItemInfo
      • OrderLineItemVo
      • OrderResult
      • OrderStatusInfo
      • OrdersGoodsDto
      • OrdersInfoDto
      • OrdersLogisticsDto
      • OrdersLogisticsTrackInfoVo
      • OrdersLogisticsTrackVo
      • OrdersShipGoodsAliVo
      • OrdersStatusDto
      • OrdersStatusResDto
      • ProductInfoDto
      • RegionCodeDto
      • ShippingAddressDto
      • ShippingAddressVo
      • SkuAttributesDto
      • SkuInfoDto
      • SkuItemDto
      • TableData«OrderInventoryResult»
      • TableData«OrderResult»
      • TableData«ProductInfoDto»
      • TableResultResponse«OrderInventoryResult»
      • TableResultResponse«OrderResult»
      • TableResultResponse«ProductInfoDto»
  1. Orders

create

POST
/admin/orders/create
create order

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
*/*
OK
Body*/*

🟢201
🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/customer/admin/orders/create' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "logisticsId": 0,
    "shippingAddress": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "country": "string",
        "countryCode": "string",
        "firstName": "string",
        "lastName": "string",
        "phone": "string",
        "province": "string",
        "zip": "string"
    },
    "skuItems": [
        {
            "num": 0,
            "skuId": 0
        }
    ],
    "thirdOrderId": 0,
    "thirdOrderName": "string"
}'
Response Response Example
{
    "logisticsItems": [
        {
            "orderId": 0,
            "shippingItems": [
                {
                    "imgUrl": "string",
                    "lineItemId": 0,
                    "num": 0,
                    "skuId": 0,
                    "skuProductUrl": "string",
                    "spuId": 0,
                    "status": 0,
                    "statusDes": "string",
                    "storeOrderLineItemId": "string",
                    "storeProductId": "string",
                    "storeSkuId": "string",
                    "storeVariantId": "string",
                    "title": "string",
                    "variantTitle": "string"
                }
            ],
            "trackingCompany": "string",
            "trackingNumber": "string",
            "trackingUrl": "string"
        }
    ],
    "orderAddressInfo": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "countryCode": "string",
        "countryName": "string",
        "firstName": "string",
        "idNo": "string",
        "lastName": "string",
        "phone": "string",
        "province": "string",
        "region": "string",
        "taxNo": "string",
        "vatNo": "string",
        "zip": "string"
    },
    "orderBaseInfo": {
        "actualAmount": 0,
        "amount": 0,
        "createTime": "2019-08-24T14:15:22.123Z",
        "currencyCode": "string",
        "currencySymbol": "string",
        "freight": 0,
        "goodsAmount": 0,
        "isPaid": true,
        "logisticsName": "string",
        "orderId": 0,
        "payTime": "2019-08-24T14:15:22.123Z",
        "platform": 0,
        "platformDesc": "string",
        "purchaseTime": "2019-08-24T14:15:22.123Z",
        "shelfTime": "2019-08-24T14:15:22.123Z",
        "status": 0,
        "statusDesc": "string",
        "storeOrderId": "string",
        "storeOrderNo": "string"
    },
    "orderItemInfos": [
        {
            "currencyCode": "string",
            "currencySymbol": "string",
            "goodsAttr": "string",
            "goodsId": 0,
            "id": 0,
            "imgUrl": "string",
            "productId": 0,
            "quantity": 0,
            "status": 0,
            "statusDes": "string",
            "storeOrderLineItemId": "string",
            "storeProductId": "string",
            "storeSkuId": "string",
            "storeVariantId": "string",
            "title": "string",
            "type": 0,
            "unitPrice": 0
        }
    ]
}
Modified at 2026-05-25 10:38:50
Previous
getOrdersByExternalOrderId
Next
getOrdersStatus
Built with